Node.Visitor (Apache Tomcat 9.0.106 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: Node, class: Visitor

# Class Node.Visitor

java.lang.Object
org.apache.jasper.compiler.Node.Visitor

Enclosing class:
  `Node`

public static class Node.Visitor extends Object
A visitor class for visiting the node. This class also provides the default action (i.e. nop) for each of the child class of the Node. An actual visitor should extend this class and supply the visit method for the nodes that it cares.

Author:
  Kin-man Chung, Jan Luehe, Shawn Bayern, Mark Roth

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Visitor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doVisit(Node n)`
  This method provides a place to put actions that are common to all nodes.
  `void`
  `visit(Node.AttributeDirective n)`
  `void`
  `visit(Node.AttributeGenerator n)`
  `void`
  `visit(Node.Comment n)`
  `void`
  `visit(Node.CustomTag n)`
  `void`
  `visit(Node.Declaration n)`
  `void`
  `visit(Node.DoBodyAction n)`
  `void`
  `visit(Node.ELExpression n)`
  `void`
  `visit(Node.Expression n)`
  `void`
  `visit(Node.FallBackAction n)`
  `void`
  `visit(Node.ForwardAction n)`
  `void`
  `visit(Node.GetProperty n)`
  `void`
  `visit(Node.IncludeAction n)`
  `void`
  `visit(Node.IncludeDirective n)`
  `void`
  `visit(Node.InvokeAction n)`
  `void`
  `visit(Node.JspBody n)`
  `void`
  `visit(Node.JspElement n)`
  `void`
  `visit(Node.JspOutput n)`
  `void`
  `visit(Node.JspRoot n)`
  `void`
  `visit(Node.JspText n)`
  `void`
  `visit(Node.NamedAttribute n)`
  `void`
  `visit(Node.PageDirective n)`
  `void`
  `visit(Node.ParamAction n)`
  `void`
  `visit(Node.ParamsAction n)`
  `void`
  `visit(Node.PlugIn n)`
  `void`
  `visit(Node.Root n)`
  `void`
  `visit(Node.Scriptlet n)`
  `void`
  `visit(Node.SetProperty n)`
  `void`
  `visit(Node.TagDirective n)`
  `void`
  `visit(Node.TaglibDirective n)`
  `void`
  `visit(Node.TemplateText n)`
  `void`
  `visit(Node.UninterpretedTag n)`
  `void`
  `visit(Node.UseBean n)`
  `void`
  `visit(Node.VariableDirective n)`
  `protected void`
  `visitBody(Node n)`
  Visit the body of a node, using the current visitor

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Visitor

    public Visitor()

- ## Method Details

  - ### doVisit

    protected void doVisit(Node n) throws JasperException
    This method provides a place to put actions that are common to all nodes. Override this in the child visitor class if needed.
    Parameters:
      `n` - The node to visit
    Throws:
      `JasperException`

  - ### visitBody

    protected void visitBody(Node n) throws JasperException
    Visit the body of a node, using the current visitor
    Parameters:
      `n` - The node to visit
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.Root n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.JspRoot n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.PageDirective n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.TagDirective n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.IncludeDirective n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.TaglibDirective n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.AttributeDirective n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.VariableDirective n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.Comment n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.Declaration n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.Expression n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.Scriptlet n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.ELExpression n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.IncludeAction n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.ForwardAction n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.GetProperty n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.SetProperty n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.ParamAction n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.ParamsAction n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.FallBackAction n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.UseBean n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.PlugIn n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.CustomTag n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.UninterpretedTag n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.JspElement n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.JspText n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.NamedAttribute n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.JspBody n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.InvokeAction n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.DoBodyAction n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.TemplateText n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.JspOutput n) throws JasperException
    Throws:
      `JasperException`

  - ### visit

    public void visit(Node.AttributeGenerator n) throws JasperException
    Throws:
      `JasperException`